ACPI_BUS_MATCH(9)

NAME
acpi_bus_match - match device IDs to driver's supported IDs

SYNOPSIS

int acpi_bus_match (struct acpi_device * device, struct acpi_driver * driver);

ARGUMENTS

device
    the device that we are trying to match to a driver

driver
    driver whose device id table is being checked

DESCRIPTION

Checks the device's hardware (_HID) or compatible (_CID) ids to see if it matches the specified driver's criteria.